<CsoundSynthesizer>

<CsOptions>

-odac

</CsOptions>

<CsInstruments>

;Parmetros iniciales

sr                              =                       44100

ksmps                           =                       20

nchnls                          =                       2 	;ser stereo



gifn	ftgen	0,0, 257, 9, .5,1,270	; define un 'sigmoid' 



; Lectura constante de los instrumentos nombrados                        

alwayson "Controls"



; Valor inicial volumen

gk_bellMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_bellPanoramicaLeft 		init 	1

gk_bellPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_ReverWet 				init 	.5

gk_bellReverDelay 			init 	.00001

; Valores iniciales filtros

gk_bellFilterDistor 		init 	0

gk_bellFilterExci 			init 	0

gk_bellFilterHarm 			init 	0

gk_bellFilterLowP			init 	0



; Instrumento: campana

instr bell

; Carga del archivo

aL, aR 		soundin 	"sounds/bell.wav" 



; Aplicacin del nivel del mster (volumen) y panormica, izquierda y derecha

aoutleft 		= 		(gk_bellPanoramicaLeft) * gk_bellMasterLevel * aL

aoutright 	= 		(gk_bellPanoramicaRight) * gk_bellMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_bellReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_bellFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_bellFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_bellFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_bellFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_pelletMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_pelletPanoramicaLeft 		init 	1

gk_pelletPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_pelletReverDelay 			init 	.00001

; Valores iniciales filtros

gk_pelletFilterDistor 		init 	0

gk_pelletFilterExci 		init 	0

gk_pelletFilterHarm 		init 	0

gk_pelletFilterLowP			init 	0



; Instrumento: pellet

instr pellet

; Carga del archivo

aL, aR 		soundin 	"sounds/pellet.aiff" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_pelletPanoramicaLeft) * gk_pelletMasterLevel * aL

aoutright 	= 		(gk_pelletPanoramicaRight) * gk_pelletMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_pelletReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_pelletFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_pelletFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_pelletFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_pelletFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_pailasMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_pailasPanoramicaLeft 		init 	1

gk_pailasPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_pailasReverDelay 			init 	.00001

; Valores iniciales filtros

gk_pailasFilterDistor 		init 	0

gk_pailasFilterExci 		init 	0

gk_pailasFilterHarm 		init 	0

gk_pailasFilterLowP			init 	0



instr pailas

; Carga del archivo

aL, aR 		soundin 	"sounds/pailas.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_pailasPanoramicaLeft) * gk_pailasMasterLevel * aL

aoutright 	= 		(gk_pailasPanoramicaRight) * gk_pailasMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_pailasReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_pailasFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_pailasFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_pailasFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_pailasFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_cowbellMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_cowbellPanoramicaLeft 		init 	1

gk_cowbellPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_cowbellReverDelay 			init 	.00001

; Valores iniciales filtros

gk_cowbellFilterDistor 		init 	0

gk_cowbellFilterExci 		init 	0

gk_cowbellFilterHarm 		init 	0

gk_cowbellFilterLowP			init 	0



; Instrumento: cowbell

instr cowbell

; Carga del archivo

aL, aR 		soundin 	"sounds/cowbell.aiff" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_cowbellPanoramicaLeft) * gk_cowbellMasterLevel * aL

aoutright 	= 		(gk_cowbellPanoramicaRight) * gk_cowbellMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_cowbellReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_cowbellFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_cowbellFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_cowbellFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_cowbellFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_gongMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_gongPanoramicaLeft 		init 	1

gk_gongPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_gongReverDelay 			init 	.00001

; Valores iniciales filtros

gk_gongFilterDistor 		init 	0

gk_gongFilterExci 		init 	0

gk_gongFilterHarm 		init 	0

gk_gongFilterLowP			init 	0



instr gong

; Carga del archivo

aL, aR 		soundin 	"sounds/gong.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_gongPanoramicaLeft) * gk_gongMasterLevel * aL

aoutright 	= 		(gk_gongPanoramicaRight) * gk_gongMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_gongReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_gongFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_gongFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_gongFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_gongFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_cymballMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_cymballPanoramicaLeft 		init 	1

gk_cymballPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_cymballReverDelay 			init 	.00001



; Valores iniciales filtros

gk_cymballFilterDistor 		init 	0

gk_cymballFilterExci 		init 	0

gk_cymballFilterHarm 		init 	0

gk_cymballFilterLowP			init 	0



instr cymball

 

; Carga del archivo

aL, aR 		soundin 	"sounds/cymball.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_cymballPanoramicaLeft) * gk_cymballMasterLevel * aL

aoutright 	= 		(gk_cymballPanoramicaRight) * gk_cymballMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_cymballReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_cymballFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_cymballFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_cymballFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_cymballFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_triangleMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_trianglePanoramicaLeft 		init 	1

gk_trianglePanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_triangleReverDelay 			init 	.00001



; Valores iniciales filtros

gk_triangleFilterDistor 		init 	0

gk_triangleFilterExci 		init 	0

gk_triangleFilterHarm 		init 	0

gk_triangleFilterLowP			init 	0



instr triangle

 

; Carga del archivo

aL, aR 		soundin 	"sounds/triangle.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_trianglePanoramicaLeft) * gk_triangleMasterLevel * aL

aoutright 	= 		(gk_trianglePanoramicaRight) * gk_triangleMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_triangleReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_triangleFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_triangleFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_triangleFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_triangleFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_tambourinMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_tambourinPanoramicaLeft 		init 	1

gk_tambourinPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_tambourinReverDelay 			init 	.00001



; Valores iniciales filtros

gk_tambourinFilterDistor 		init 	0

gk_tambourinFilterExci 		init 	0

gk_tambourinFilterHarm 		init 	0

gk_tambourinFilterLowP			init 	0



instr tambourin

 

; Carga del archivo

aL, aR 		soundin 	"sounds/tambourin.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_tambourinPanoramicaLeft) * gk_tambourinMasterLevel * aL

aoutright 	= 		(gk_tambourinPanoramicaRight) * gk_tambourinMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_tambourinReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_tambourinFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_tambourinFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_tambourinFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_tambourinFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_maracasMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_maracasPanoramicaLeft 		init 	1

gk_maracasPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_maracasReverDelay 			init 	.00001



; Valores iniciales filtros

gk_maracasFilterDistor 		init 	0

gk_maracasFilterExci 		init 	0

gk_maracasFilterHarm 		init 	0

gk_maracasFilterLowP			init 	0



instr maracas

 

; Carga del archivo

aL, aR 		soundin 	"sounds/maracas.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_maracasPanoramicaLeft) * gk_maracasMasterLevel * aL

aoutright 	= 		(gk_maracasPanoramicaRight) * gk_maracasMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_maracasReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_maracasFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_maracasFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_maracasFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_maracasFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_metallophoneMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_metallophonePanoramicaLeft 		init 	1

gk_metallophonePanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_metallophoneReverDelay 			init 	.00001



; Valores iniciales filtros

gk_metallophoneFilterDistor 		init 	0

gk_metallophoneFilterExci 		init 	0

gk_metallophoneFilterHarm 		init 	0

gk_metallophoneFilterLowP			init 	0



instr metallophone

 

; Carga del archivo

aL, aR 		soundin 	"sounds/metallophone.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_metallophonePanoramicaLeft) * gk_metallophoneMasterLevel * aL

aoutright 	= 		(gk_metallophonePanoramicaRight) * gk_metallophoneMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_metallophoneReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_metallophoneFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_metallophoneFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_metallophoneFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_metallophoneFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_bigdrumMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_bigdrumPanoramicaLeft 		init 	1

gk_bigdrumPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_bigdrumReverDelay 			init 	.00001



; Valores iniciales filtros

gk_bigdrumFilterDistor 		init 	0

gk_bigdrumFilterExci 		init 	0

gk_bigdrumFilterHarm 		init 	0

gk_bigdrumFilterLowP			init 	0



instr bigdrum

 

; Carga del archivo

aL, aR 		soundin 	"sounds/bigdrum.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_bigdrumPanoramicaLeft) * gk_bigdrumMasterLevel * aL

aoutright 	= 		(gk_bigdrumPanoramicaRight) * gk_bigdrumMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_bigdrumReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_bigdrumFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_bigdrumFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_bigdrumFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_bigdrumFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_clappingMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_clappingPanoramicaLeft 		init 	1

gk_clappingPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_clappingReverDelay 			init 	.00001



; Valores iniciales filtros

gk_clappingFilterDistor 		init 	0

gk_clappingFilterExci 		init 	0

gk_clappingFilterHarm 		init 	0

gk_clappingFilterLowP			init 	0



instr clapping

 

; Carga del archivo

aL, aR 		soundin 	"sounds/clapping.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_clappingPanoramicaLeft) * gk_clappingMasterLevel * aL

aoutright 	= 		(gk_clappingPanoramicaRight) * gk_clappingMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_clappingReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_clappingFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_clappingFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_clappingFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_clappingFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



; Valor inicial volumen

gk_drumMasterLevel 			init 	0.00001

; Valor inicial panoramica (iguales)

gk_drumPanoramicaLeft 		init 	1

gk_drumPanoramicaRight 		init 	1

; Valor inicial reverberacin

gk_drumReverDelay 			init 	.00001



; Valores iniciales filtros

gk_drumFilterDistor 		init 	0

gk_drumFilterExci 		init 	0

gk_drumFilterHarm 		init 	0

gk_drumFilterLowP			init 	0



instr drum

 

; Carga del archivo

aL, aR 		soundin 	"sounds/drum.wav" 



; Aplicacin del nivel del mster (volumen) y panormica izquierda y derecha

aoutleft 		= 		(gk_drumPanoramicaLeft) * gk_drumMasterLevel * aL

aoutright 	= 		(gk_drumPanoramicaRight) * gk_drumMasterLevel * aR



; Reverberacin a la salida anterior

kdry			= 		1.0 - gk_ReverWet

awetleft, awetright reverbsc aoutleft, aoutright, gk_drumReverDelay, 18000.0

aoutleftRev 	= 		aoutleft *  kdry + awetleft  * gk_ReverWet

aoutrightRev 	= 		aoutright * kdry + awetright * gk_ReverWet



if(gk_drumFilterDistor == 1) then

	iresL 	random 0, 0.25

	iresR	random 0, 0.5

	kdistL	line	0, iresL, 2

	kdistR	line	0, iresR, 2

	; aumenta gradualmente la distorsin

	aoutleftRev	distort	aoutleftRev, kdistL, gifn

	aoutrightRev	distort	aoutrightRev, kdistR, gifn

endif

if(gk_drumFilterExci == 1) then

	aexciL exciter aoutleftRev, 3000, 20000, 10, 10

	aexciR exciter aoutrightRev, 3000, 20000, 10, 10

	aoutleftRev = aexciL + aoutleftRev

	aoutrightRev = aexciR + aoutrightRev

endif

if(gk_drumFilterHarm == 1) then

	kestfrq random100,600

	kmaxvar = 0.1

	imode   = 1

	iminfrq = 100

	iprd    = 0.02

 	

 	asigL harmon aoutleftRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd

	asigR harmon aoutrightRev, kestfrq, kmaxvar, kestfrq*.5, kestfrq*4, imode, iminfrq, iprd



     aoutleftRev = (asigL + aoutleftRev)*0.6

     aoutrightRev = (asigR + aoutrightRev)*0.6

endif

if(gk_drumFilterLowP == 1) then

	kton line 10000, 0.5, 0

	aoutrightRev tone aoutrightRev, kton

	aoutleftRev tone aoutleftRev, kton

endif



; Salida con todos los efectos aplicados

          outs  aoutleftRev, aoutrightRev

endin



;; Intrumento de controles                     

instr Controls



; Controles de campana

gk_bellMasterLevel_ chnget "gk_bellMasterLevel"

if gk_bellMasterLevel_  != 0 then

 gk_bellMasterLevel = gk_bellMasterLevel_

endif



gk_bellPanoramicaLeft_ chnget "gk_bellPanoramicaLeft"

if gk_bellPanoramicaLeft_  != 0 then

 gk_bellPanoramicaLeft = gk_bellPanoramicaLeft_

endif



gk_bellPanoramicaRight_ chnget "gk_bellPanoramicaRight"

if gk_bellPanoramicaRight_  != 0 then

 gk_bellPanoramicaRight = gk_bellPanoramicaRight_

endif



gk_bellReverDelay_ chnget "gk_bellReverDelay"

if gk_bellReverDelay_  != 0 then

 gk_bellReverDelay = gk_bellReverDelay_

endif



gk_bellFilterDistor_ chnget "gk_bellFilterDistor"

if gk_bellFilterDistor_  != 0 then

 gk_bellFilterDistor = gk_bellFilterDistor_

endif



gk_bellFilterExci_ chnget "gk_bellFilterExci"

if gk_bellFilterExci_  != 0 then

 gk_bellFilterExci = gk_bellFilterExci_

endif



gk_bellFilterHarm_ chnget "gk_bellFilterHarm"

if gk_bellFilterHarm_  != 0 then

 gk_bellFilterHarm = gk_bellFilterHarm_

endif



gk_bellFilterLowP_ chnget "gk_bellFilterLowP"

if gk_bellFilterLowP_  != 0 then

 gk_bellFilterLowP = gk_bellFilterLowP_

endif



; Controles de pellet

gk_pelletMasterLevel_ chnget "gk_pelletMasterLevel"

if gk_pelletMasterLevel_  != 0 then

 gk_pelletMasterLevel = gk_pelletMasterLevel_

endif



gk_pelletPanoramicaLeft_ chnget "gk_pelletPanoramicaLeft"

if gk_pelletPanoramicaLeft_  != 0 then

 gk_pelletPanoramicaLeft = gk_pelletPanoramicaLeft_

endif



gk_pelletPanoramicaRight_ chnget "gk_pelletPanoramicaRight"

if gk_pelletPanoramicaRight_  != 0 then

 gk_pelletPanoramicaRight = gk_pelletPanoramicaRight_

endif



gk_pelletReverDelay_ chnget "gk_pelletReverDelay"

if gk_pelletReverDelay_  != 0 then

 gk_pelletReverDelay = gk_pelletReverDelay_

endif



gk_pelletFilterDistor_ chnget "gk_pelletFilterDistor"

if gk_pelletFilterDistor_  != 0 then

 gk_pelletFilterDistor = gk_pelletFilterDistor_

endif



gk_pelletFilterExci_ chnget "gk_pelletFilterExci"

if gk_pelletFilterExci_  != 0 then

 gk_pelletFilterExci = gk_pelletFilterExci_

endif



gk_pelletFilterHarm_ chnget "gk_pelletFilterHarm"

if gk_pelletFilterHarm_  != 0 then

 gk_pelletFilterHarm = gk_pelletFilterHarm_

endif



gk_pelletFilterLowP_ chnget "gk_pelletFilterLowP"

if gk_pelletFilterLowP_  != 0 then

 gk_pelletFilterLowP = gk_pelletFilterLowP_

endif



; Controles de pailas

gk_pailasMasterLevel_ chnget "gk_pailasMasterLevel"

if gk_pailasMasterLevel_  != 0 then

 gk_pailasMasterLevel = gk_pailasMasterLevel_

endif



gk_pailasPanoramicaLeft_ chnget "gk_pailasPanoramicaLeft"

if gk_pailasPanoramicaLeft_  != 0 then

 gk_pailasPanoramicaLeft = gk_pailasPanoramicaLeft_

endif



gk_pailasPanoramicaRight_ chnget "gk_pailasPanoramicaRight"

if gk_pailasPanoramicaRight_  != 0 then

 gk_pailasPanoramicaRight = gk_pailasPanoramicaRight_

endif



gk_pailasReverDelay_ chnget "gk_pailasReverDelay"

if gk_pailasReverDelay_  != 0 then

 gk_pailasReverDelay = gk_pailasReverDelay_

endif



gk_pailasFilterDistor_ chnget "gk_pailasFilterDistor"

if gk_pailasFilterDistor_  != 0 then

 gk_pailasFilterDistor = gk_pailasFilterDistor_

endif



gk_pailasFilterExci_ chnget "gk_pailasFilterExci"

if gk_pailasFilterExci_  != 0 then

 gk_pailasFilterExci = gk_pailasFilterExci_

endif



gk_pailasFilterHarm_ chnget "gk_pailasFilterHarm"

if gk_pailasFilterHarm_  != 0 then

 gk_pailasFilterHarm = gk_pailasFilterHarm_

endif



gk_pailasFilterLowP_ chnget "gk_pailasFilterLowP"

if gk_pailasFilterLowP_  != 0 then

 gk_pailasFilterLowP = gk_pailasFilterLowP_

endif



; Controles de cowbell

gk_cowbellMasterLevel_ chnget "gk_cowbellMasterLevel"

if gk_cowbellMasterLevel_  != 0 then

 gk_cowbellMasterLevel = gk_cowbellMasterLevel_

endif



gk_cowbellPanoramicaLeft_ chnget "gk_cowbellPanoramicaLeft"

if gk_cowbellPanoramicaLeft_  != 0 then

 gk_cowbellPanoramicaLeft = gk_cowbellPanoramicaLeft_

endif



gk_cowbellPanoramicaRight_ chnget "gk_cowbellPanoramicaRight"

if gk_cowbellPanoramicaRight_  != 0 then

 gk_cowbellPanoramicaRight = gk_cowbellPanoramicaRight_

endif



gk_cowbellReverDelay_ chnget "gk_cowbellReverDelay"

if gk_cowbellReverDelay_  != 0 then

 gk_cowbellReverDelay = gk_cowbellReverDelay_

endif



gk_cowbellFilterDistor_ chnget "gk_cowbellFilterDistor"

if gk_cowbellFilterDistor_  != 0 then

 gk_cowbellFilterDistor = gk_cowbellFilterDistor_

endif



gk_cowbellFilterExci_ chnget "gk_cowbellFilterExci"

if gk_cowbellFilterExci_  != 0 then

 gk_cowbellFilterExci = gk_cowbellFilterExci_

endif



gk_cowbellFilterHarm_ chnget "gk_cowbellFilterHarm"

if gk_cowbellFilterHarm_  != 0 then

 gk_cowbellFilterHarm = gk_cowbellFilterHarm_

endif



gk_cowbellFilterLowP_ chnget "gk_cowbellFilterLowP"

if gk_cowbellFilterLowP_  != 0 then

 gk_cowbellFilterLowP = gk_cowbellFilterLowP_

endif



; Controles de gong

gk_gongMasterLevel_ chnget "gk_gongMasterLevel"

if gk_gongMasterLevel_  != 0 then

 gk_gongMasterLevel = gk_gongMasterLevel_

endif



gk_gongPanoramicaLeft_ chnget "gk_gongPanoramicaLeft"

if gk_gongPanoramicaLeft_  != 0 then

 gk_gongPanoramicaLeft = gk_gongPanoramicaLeft_

endif



gk_gongPanoramicaRight_ chnget "gk_gongPanoramicaRight"

if gk_gongPanoramicaRight_  != 0 then

 gk_gongPanoramicaRight = gk_gongPanoramicaRight_

endif



gk_gongReverDelay_ chnget "gk_gongReverDelay"

if gk_gongReverDelay_  != 0 then

 gk_gongReverDelay = gk_gongReverDelay_

endif



gk_gongFilterDistor_ chnget "gk_gongFilterDistor"

if gk_gongFilterDistor_  != 0 then

 gk_gongFilterDistor = gk_gongFilterDistor_

endif



gk_gongFilterExci_ chnget "gk_gongFilterExci"

if gk_gongFilterExci_  != 0 then

 gk_gongFilterExci = gk_gongFilterExci_

endif



gk_gongFilterHarm_ chnget "gk_gongFilterHarm"

if gk_gongFilterHarm_  != 0 then

 gk_gongFilterHarm = gk_gongFilterHarm_

endif



gk_gongFilterLowP_ chnget "gk_gongFilterLowP"

if gk_gongFilterLowP_  != 0 then

 gk_gongFilterLowP = gk_gongFilterLowP_

endif



; Controles de cymball

gk_cymballMasterLevel_ chnget "gk_cymballMasterLevel"

if gk_cymballMasterLevel_  != 0 then

 gk_cymballMasterLevel = gk_cymballMasterLevel_

endif



gk_cymballPanoramicaLeft_ chnget "gk_cymballPanoramicaLeft"

if gk_cymballPanoramicaLeft_  != 0 then

 gk_cymballPanoramicaLeft = gk_cymballPanoramicaLeft_

endif



gk_cymballPanoramicaRight_ chnget "gk_cymballPanoramicaRight"

if gk_cymballPanoramicaRight_  != 0 then

 gk_cymballPanoramicaRight = gk_cymballPanoramicaRight_

endif



gk_cymballReverDelay_ chnget "gk_cymballReverDelay"

if gk_cymballReverDelay_  != 0 then

 gk_cymballReverDelay = gk_cymballReverDelay_

endif



gk_cymballFilterDistor_ chnget "gk_cymballFilterDistor"

if gk_cymballFilterDistor_  != 0 then

 gk_cymballFilterDistor = gk_cymballFilterDistor_

endif



gk_cymballFilterExci_ chnget "gk_cymballFilterExci"

if gk_cymballFilterExci_  != 0 then

 gk_cymballFilterExci = gk_cymballFilterExci_

endif



gk_cymballFilterHarm_ chnget "gk_cymballFilterHarm"

if gk_cymballFilterHarm_  != 0 then

 gk_cymballFilterHarm = gk_cymballFilterHarm_

endif



gk_cymballFilterLowP_ chnget "gk_cymballFilterLowP"

if gk_cymballFilterLowP_  != 0 then

 gk_cymballFilterLowP = gk_cymballFilterLowP_

endif



; Controles de triangle

gk_triangleMasterLevel_ chnget "gk_triangleMasterLevel"

if gk_triangleMasterLevel_  != 0 then

 gk_triangleMasterLevel = gk_triangleMasterLevel_

endif



gk_trianglePanoramicaLeft_ chnget "gk_trianglePanoramicaLeft"

if gk_trianglePanoramicaLeft_  != 0 then

 gk_trianglePanoramicaLeft = gk_trianglePanoramicaLeft_

endif



gk_trianglePanoramicaRight_ chnget "gk_trianglePanoramicaRight"

if gk_trianglePanoramicaRight_  != 0 then

 gk_trianglePanoramicaRight = gk_trianglePanoramicaRight_

endif



gk_triangleReverDelay_ chnget "gk_triangleReverDelay"

if gk_triangleReverDelay_  != 0 then

 gk_triangleReverDelay = gk_triangleReverDelay_

endif



gk_triangleFilterDistor_ chnget "gk_triangleFilterDistor"

if gk_triangleFilterDistor_  != 0 then

 gk_triangleFilterDistor = gk_triangleFilterDistor_

endif



gk_triangleFilterExci_ chnget "gk_triangleFilterExci"

if gk_triangleFilterExci_  != 0 then

 gk_triangleFilterExci = gk_triangleFilterExci_

endif



gk_triangleFilterHarm_ chnget "gk_triangleFilterHarm"

if gk_triangleFilterHarm_  != 0 then

 gk_triangleFilterHarm = gk_triangleFilterHarm_

endif



gk_triangleFilterLowP_ chnget "gk_triangleFilterLowP"

if gk_triangleFilterLowP_  != 0 then

 gk_triangleFilterLowP = gk_triangleFilterLowP_

endif



; Controles de tambourin

gk_tambourinMasterLevel_ chnget "gk_tambourinMasterLevel"

if gk_tambourinMasterLevel_  != 0 then

 gk_tambourinMasterLevel = gk_tambourinMasterLevel_

endif



gk_tambourinPanoramicaLeft_ chnget "gk_tambourinPanoramicaLeft"

if gk_tambourinPanoramicaLeft_  != 0 then

 gk_tambourinPanoramicaLeft = gk_tambourinPanoramicaLeft_

endif



gk_tambourinPanoramicaRight_ chnget "gk_tambourinPanoramicaRight"

if gk_tambourinPanoramicaRight_  != 0 then

 gk_tambourinPanoramicaRight = gk_tambourinPanoramicaRight_

endif



gk_tambourinReverDelay_ chnget "gk_tambourinReverDelay"

if gk_tambourinReverDelay_  != 0 then

 gk_tambourinReverDelay = gk_tambourinReverDelay_

endif



gk_tambourinFilterDistor_ chnget "gk_tambourinFilterDistor"

if gk_tambourinFilterDistor_  != 0 then

 gk_tambourinFilterDistor = gk_tambourinFilterDistor_

endif



gk_tambourinFilterExci_ chnget "gk_tambourinFilterExci"

if gk_tambourinFilterExci_  != 0 then

 gk_tambourinFilterExci = gk_tambourinFilterExci_

endif



gk_tambourinFilterHarm_ chnget "gk_tambourinFilterHarm"

if gk_tambourinFilterHarm_  != 0 then

 gk_tambourinFilterHarm = gk_tambourinFilterHarm_

endif



gk_tambourinFilterLowP_ chnget "gk_tambourinFilterLowP"

if gk_tambourinFilterLowP_  != 0 then

 gk_tambourinFilterLowP = gk_tambourinFilterLowP_

endif



; Controles de maracas

gk_maracasMasterLevel_ chnget "gk_maracasMasterLevel"

if gk_maracasMasterLevel_  != 0 then

 gk_maracasMasterLevel = gk_maracasMasterLevel_

endif



gk_maracasPanoramicaLeft_ chnget "gk_maracasPanoramicaLeft"

if gk_maracasPanoramicaLeft_  != 0 then

 gk_maracasPanoramicaLeft = gk_maracasPanoramicaLeft_

endif



gk_maracasPanoramicaRight_ chnget "gk_maracasPanoramicaRight"

if gk_maracasPanoramicaRight_  != 0 then

 gk_maracasPanoramicaRight = gk_maracasPanoramicaRight_

endif



gk_maracasReverDelay_ chnget "gk_maracasReverDelay"

if gk_maracasReverDelay_  != 0 then

 gk_maracasReverDelay = gk_maracasReverDelay_

endif



gk_maracasFilterDistor_ chnget "gk_maracasFilterDistor"

if gk_maracasFilterDistor_  != 0 then

 gk_maracasFilterDistor = gk_maracasFilterDistor_

endif



gk_maracasFilterExci_ chnget "gk_maracasFilterExci"

if gk_maracasFilterExci_  != 0 then

 gk_maracasFilterExci = gk_maracasFilterExci_

endif



gk_maracasFilterHarm_ chnget "gk_maracasFilterHarm"

if gk_maracasFilterHarm_  != 0 then

 gk_maracasFilterHarm = gk_maracasFilterHarm_

endif



gk_maracasFilterLowP_ chnget "gk_maracasFilterLowP"

if gk_maracasFilterLowP_  != 0 then

 gk_maracasFilterLowP = gk_maracasFilterLowP_

endif



; Controles de metallophone

gk_metallophoneMasterLevel_ chnget "gk_metallophoneMasterLevel"

if gk_metallophoneMasterLevel_  != 0 then

 gk_metallophoneMasterLevel = gk_metallophoneMasterLevel_

endif



gk_metallophonePanoramicaLeft_ chnget "gk_metallophonePanoramicaLeft"

if gk_metallophonePanoramicaLeft_  != 0 then

 gk_metallophonePanoramicaLeft = gk_metallophonePanoramicaLeft_

endif



gk_metallophonePanoramicaRight_ chnget "gk_metallophonePanoramicaRight"

if gk_metallophonePanoramicaRight_  != 0 then

 gk_metallophonePanoramicaRight = gk_metallophonePanoramicaRight_

endif



gk_metallophoneReverDelay_ chnget "gk_metallophoneReverDelay"

if gk_metallophoneReverDelay_  != 0 then

 gk_metallophoneReverDelay = gk_metallophoneReverDelay_

endif



gk_metallophoneFilterDistor_ chnget "gk_metallophoneFilterDistor"

if gk_metallophoneFilterDistor_  != 0 then

 gk_metallophoneFilterDistor = gk_metallophoneFilterDistor_

endif



gk_metallophoneFilterExci_ chnget "gk_metallophoneFilterExci"

if gk_metallophoneFilterExci_  != 0 then

 gk_metallophoneFilterExci = gk_metallophoneFilterExci_

endif



gk_metallophoneFilterHarm_ chnget "gk_metallophoneFilterHarm"

if gk_metallophoneFilterHarm_  != 0 then

 gk_metallophoneFilterHarm = gk_metallophoneFilterHarm_

endif



gk_metallophoneFilterLowP_ chnget "gk_metallophoneFilterLowP"

if gk_metallophoneFilterLowP_  != 0 then

 gk_metallophoneFilterLowP = gk_metallophoneFilterLowP_

endif



; Controles de bigdrum

gk_bigdrumMasterLevel_ chnget "gk_bigdrumMasterLevel"

if gk_bigdrumMasterLevel_  != 0 then

 gk_bigdrumMasterLevel = gk_bigdrumMasterLevel_

endif



gk_bigdrumPanoramicaLeft_ chnget "gk_bigdrumPanoramicaLeft"

if gk_bigdrumPanoramicaLeft_  != 0 then

 gk_bigdrumPanoramicaLeft = gk_bigdrumPanoramicaLeft_

endif



gk_bigdrumPanoramicaRight_ chnget "gk_bigdrumPanoramicaRight"

if gk_bigdrumPanoramicaRight_  != 0 then

 gk_bigdrumPanoramicaRight = gk_bigdrumPanoramicaRight_

endif



gk_bigdrumReverDelay_ chnget "gk_bigdrumReverDelay"

if gk_bigdrumReverDelay_  != 0 then

 gk_bigdrumReverDelay = gk_bigdrumReverDelay_

endif



gk_bigdrumFilterDistor_ chnget "gk_bigdrumFilterDistor"

if gk_bigdrumFilterDistor_  != 0 then

 gk_bigdrumFilterDistor = gk_bigdrumFilterDistor_

endif



gk_bigdrumFilterExci_ chnget "gk_bigdrumFilterExci"

if gk_bigdrumFilterExci_  != 0 then

 gk_bigdrumFilterExci = gk_bigdrumFilterExci_

endif



gk_bigdrumFilterHarm_ chnget "gk_bigdrumFilterHarm"

if gk_bigdrumFilterHarm_  != 0 then

 gk_bigdrumFilterHarm = gk_bigdrumFilterHarm_

endif



gk_bigdrumFilterLowP_ chnget "gk_bigdrumFilterLowP"

if gk_bigdrumFilterLowP_  != 0 then

 gk_bigdrumFilterLowP = gk_bigdrumFilterLowP_

endif



; Controles de clapping

gk_clappingMasterLevel_ chnget "gk_clappingMasterLevel"

if gk_clappingMasterLevel_  != 0 then

 gk_clappingMasterLevel = gk_clappingMasterLevel_

endif



gk_clappingPanoramicaLeft_ chnget "gk_clappingPanoramicaLeft"

if gk_clappingPanoramicaLeft_  != 0 then

 gk_clappingPanoramicaLeft = gk_clappingPanoramicaLeft_

endif



gk_clappingPanoramicaRight_ chnget "gk_clappingPanoramicaRight"

if gk_clappingPanoramicaRight_  != 0 then

 gk_clappingPanoramicaRight = gk_clappingPanoramicaRight_

endif



gk_clappingReverDelay_ chnget "gk_clappingReverDelay"

if gk_clappingReverDelay_  != 0 then

 gk_clappingReverDelay = gk_clappingReverDelay_

endif



gk_clappingFilterDistor_ chnget "gk_clappingFilterDistor"

if gk_clappingFilterDistor_  != 0 then

 gk_clappingFilterDistor = gk_clappingFilterDistor_

endif



gk_clappingFilterExci_ chnget "gk_clappingFilterExci"

if gk_clappingFilterExci_  != 0 then

 gk_clappingFilterExci = gk_clappingFilterExci_

endif



gk_clappingFilterHarm_ chnget "gk_clappingFilterHarm"

if gk_clappingFilterHarm_  != 0 then

 gk_clappingFilterHarm = gk_clappingFilterHarm_

endif



gk_clappingFilterLowP_ chnget "gk_clappingFilterLowP"

if gk_clappingFilterLowP_  != 0 then

 gk_clappingFilterLowP = gk_clappingFilterLowP_

endif



; Controles de drum

gk_drumMasterLevel_ chnget "gk_drumMasterLevel"

if gk_drumMasterLevel_  != 0 then

 gk_drumMasterLevel = gk_drumMasterLevel_

endif



gk_drumPanoramicaLeft_ chnget "gk_drumPanoramicaLeft"

if gk_drumPanoramicaLeft_  != 0 then

 gk_drumPanoramicaLeft = gk_drumPanoramicaLeft_

endif



gk_drumPanoramicaRight_ chnget "gk_drumPanoramicaRight"

if gk_drumPanoramicaRight_  != 0 then

 gk_drumPanoramicaRight = gk_drumPanoramicaRight_

endif



gk_drumReverDelay_ chnget "gk_drumReverDelay"

if gk_drumReverDelay_  != 0 then

 gk_drumReverDelay = gk_drumReverDelay_

endif



gk_drumFilterDistor_ chnget "gk_drumFilterDistor"

if gk_drumFilterDistor_  != 0 then

 gk_drumFilterDistor = gk_drumFilterDistor_

endif



gk_drumFilterExci_ chnget "gk_drumFilterExci"

if gk_drumFilterExci_  != 0 then

 gk_drumFilterExci = gk_drumFilterExci_

endif



gk_drumFilterHarm_ chnget "gk_drumFilterHarm"

if gk_drumFilterHarm_  != 0 then

 gk_drumFilterHarm = gk_drumFilterHarm_

endif



gk_drumFilterLowP_ chnget "gk_drumFilterLowP"

if gk_drumFilterLowP_  != 0 then

 gk_drumFilterLowP = gk_drumFilterLowP_

endif



endin

</CsInstruments>

<html>

<!-- Cabeceras -->

<head>

    <!-- Sentencia para cargar el estilo -->

    <link rel=StyleSheet href="css/launchpad.css" type="text/css">

    <!-- Sentencia para cargar el javascript -->

    <script type="text/javascript" src="js/launchpad.js"></script>

</head>



<!-- Cuerpo de la estructura HTML5 -->

<body>



<!-- Primera seccin - Pantalla incial -->

<section id="first-part">

    <div class="container">

        <div class="row-5 col-5">

            <!-- Primera fila -->

            <div class="row">

                <!-- Estructura del primer instrumento -->

                <div class="celda style-button violet" onclick="instrument('bell')">

                    <figure class="style-figure">

                        <img src="img/percusion/bell.png" width="48" height="48">

                    </figure>

                </div>

                <!-- Apartado sin uso -->

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <!-- Estructura del segundo instrumento -->

                <div class="celda style-button violet" onclick="instrument('pellet')">

                    <figure class="style-figure">

                        <img src="img/percusion/pellet.png" width="48" height="48">

                    </figure>

                </div>

                <!-- Apartado sin uso -->

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <!-- Estructura del tercer instrumento -->

                <div class="celda style-button violet" onclick="instrument('pailas')">

                    <figure class="style-figure">

                        <img src="img/percusion/pailas.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <!-- Segunda fila -->

            <div class="row">

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('cowbell')">

                    <figure class="style-figure">

                        <img src="img/percusion/cowbell.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('gong')">

                    <figure class="style-figure">

                        <img src="img/percusion/gong.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

            </div>

            <!-- Tercera fila -->

            <div class="row">

                <div class="celda style-button violet" onclick="instrument('cymball')">

                    <figure class="style-figure">

                        <img src="img/percusion/cymbal.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('triangle')">

                    <figure class="style-figure">

                        <img src="img/percusion/triangle.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('tambourin')">

                    <figure class="style-figure">

                        <img src="img/percusion/tambourine.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <!-- Cuarta fila -->

            <div class="row">

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('maracas')">

                    <figure class="style-figure">

                        <img src="img/percusion/maracas.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('metallophone')">

                    <figure class="style-figure">

                        <img src="img/percusion/metallophone.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

            </div>

            <!-- Quinta fila -->

            <div class="row">

                <div class="celda style-button violet" onclick="instrument('bigdrum')">

                    <figure class="style-figure">

                        <img src="img/percusion/bigdrum.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('clapping')">

                    <figure class="style-figure">

                        <img src="img/percusion/clapping.png" width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet">

                    <figure class="style-figure hide-figure">

                        <img width="48" height="48">

                    </figure>

                </div>

                <div class="celda style-button violet" onclick="instrument('drum')">

                    <figure class="style-figure">

                        <img src="img/percusion/drum.png" width="48" height="48">

                    </figure>

                </div>

            </div>

        </div>

        <!-- Controles columna derecha -->

        <div class="row-5 col-1 colocate">

            <div class="row">

                <div class="celda style-button green"></div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="commonPlay()">

                    <figure class="style-figure">

                        <img src="img/play.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="commonPause()">

                    <figure class="style-figure">

                        <img src="img/pause.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="commonStop()">

                    <figure class="style-figure">

                        <img src="img/stop.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green"></div>

            </div>

        </div>

        <div class="row-1 col-6">

            <div class="celda style-button green"></div>

            <div class="celda style-button green"></div>

            <div class="celda style-button green"></div>

            <div class="celda style-button green"></div>

            <div class="celda style-button green"></div>

            <div class="celda style-button spaced-first green" onclick="reset()">

                <figure class="style-figure">

                    <img src="img/back.png" width="48" height="48">

                </figure>

            </div>

        </div>

    </div>

</section>



<!-- Segunda seccin - Pantalla interna del instrumento -->

<section class="instrument" style="display: none;">

    <div class="container">

        <div class="row-5 col-5">

            <div id="5" class="row">

                <div class="celda style-button cian" onclick="volumen(5)"></div>

                <div id="Distor" class="celda style-button orange" onclick="filtros('Distor')"></div>

                <div id="Exci" class="celda style-button orange" onclick="filtros('Exci')"></div>

                <div class="celda style-button blue" onclick="panoramica(5)"></div>

                <div class="celda style-button green-lighter" onclick="reverberacion(5)"></div>

            </div>

            <div id="4" class="row">

                <div class="celda style-button cian" onclick="volumen(4)"></div>

                <div id="Harm" class="celda style-button orange" onclick="filtros('Harm')"></div>

                <div id="LowP" class="celda style-button orange" onclick="filtros('LowP')"></div>

                <div class="celda style-button blue" onclick="panoramica(4)"></div>

                <div class="celda style-button green-lighter" onclick="reverberacion(4)"></div>

            </div>

            <div id="3" class="row">

                <div class="celda style-button cian" onclick="volumen(3)"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button blue" onclick="panoramica(3)"></div>

                <div class="celda style-button green-lighter" onclick="reverberacion(3)"></div>

            </div>

            <div id="2" class="row">

                <div class="celda style-button cian" onclick="volumen(2)"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button blue" onclick="panoramica(2)"></div>

                <div class="celda style-button green-lighter" onclick="reverberacion(2)"></div>

            </div>

            <div id="1" class="row">

                <div class="celda style-button cian" onclick="volumen(1)"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button orange"></div>

                <div class="celda style-button blue" onclick="panoramica(1)"></div>

                <div class="celda style-button green-lighter" onclick="reverberacion(1)"></div>

            </div>

        </div>

        <div class="row-5 col-1 colocate">

            <div class="row">

                <div class="celda style-button green"></div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="insPlay()">

                    <figure class="style-figure">

                        <img src="img/play.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="insPause()">

                    <figure class="style-figure">

                        <img src="img/pause.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green" onclick="insStop()">

                    <figure class="style-figure">

                        <img src="img/stop.png" width="48" height="48">

                    </figure>

                </div>

            </div>

            <div class="row">

                <div class="celda style-button green"></div>

            </div>

        </div>

        <div class="row-1 col-6">

            <div class="celda style-button green">

                <figure class="style-figure">

                    <img src="img/volume.png" width="48" height="48">

                </figure>

            </div>

            <div class="celda style-button green">

                <figure class="style-figure">

                    <img src="img/filters/003-sound.png" width="48" height="48">

                </figure>

            </div>

            <div class="celda style-button green">

                <figure class="style-figure">

                    <img src="img/filters/003-sound.png" width="48" height="48">

                </figure>

            </div>

            <div class="celda style-button green">

                <figure class="style-figure">

                    <img src="img/filters/002-pulse.png" width="48" height="48">

                </figure>

            </div>

            <div class="celda style-button green">

                <figure class="style-figure">

                    <img src="img/filters/001-stopwatch.png" width="48" height="48">

                </figure>

            </div>

            <div class="celda style-button spaced green" onclick="insreturn()">

                <figure class="style-figure">

                    <img id="replay" src="img/back.png" width="48" height="48">

                </figure>

            </div>

        </div>

    </div>

</section>

</body>



</html>

<CsScore>

</CsScore>

</CsoundSynthesizer>

<bsbPanel>

 <label>Widgets</label>

 <objectName/>

 <x>100</x>

 <y>100</y>

 <width>320</width>

 <height>240</height>

 <visible>true</visible>

 <uuid/>

 <bgcolor mode="nobackground">

  <r>255</r>

  <g>255</g>

  <b>255</b>

 </bgcolor>

</bsbPanel>

<bsbPresets>

</bsbPresets>

