var instrControl = new Array;
var instrControlVol = new Array;
var instrControlPanL = new Array;
var instrControlPanR = new Array;
var instrControlRever = new Array;
var instrControlFilter = new Array;

// Función Inicial Instrumento
function instrument(elementSlug) {

    document.getElementById("first-part").style.display = 'none';
    document.querySelector(".instrument").classList.add("instrument-"+elementSlug);
    document.getElementById("replay").classList.add(elementSlug);
    document.querySelector(".instrument-"+elementSlug).style.display = 'block';

    /* Restaurar */
    /* - Volumen */
    addControl(addVolumen);
    removeControl(removeVolumen);
    /* - Panorámica */
    addControl(addPanoramica);
    removeControl(removePanoramica);
    /* - Reverberación */
    addControl(addReverberacion);
    removeControl(removeReverberacion);
    /* - Filtros */
    addFiltersBySlug(addFilters);

    insPlay();
}

// Controles Básicos
/** Volumen **/
/* - Variables */
var addVolumen = new Array();
var removeVolumen = new Array();
/* - Función */
function volumen(id){

    var addVolumenInstrument = new Array();
    var removeVolumenInstrument = new Array();

    Slug = document.getElementById("replay").classList;

    var indice = 0;
    for(contador=id+1;contador<=5;contador++){
        removeVolumenInstrument[indice]= [contador,'.cian','cian-light'];
        indice++;
    }
    removeVolumen[Slug] = removeVolumenInstrument;
    removeControl(removeVolumen);

    indice = 0;
    for(contador=id;contador>=1;contador--){
        addVolumenInstrument[indice]= [contador,'.cian','cian-light'];
        indice++;
    }
    addVolumen[Slug] = addVolumenInstrument;
    addControl(addVolumen);

    instrControlVol[Slug] = id/5;
    csound.setControlChannel('gk_'+Slug+'MasterLevel', instrControlVol[Slug]);
}
/** Panoramica **/
/* - Variables */
var addPanoramica = new Array();
var removePanoramica = new Array();
/* - Función */
function panoramica(id){
    var addPanoramicaInstrument = new Array();
    var removePanoramicaInstrument = new Array();

    Slug = document.getElementById("replay").classList;

    var indice = 0;
    for(contador=id+1;contador<=5;contador++){
        removePanoramicaInstrument[indice]= [contador,'.blue','blue-light'];
        indice++;
    }
    removePanoramica[Slug] = removePanoramicaInstrument;
    removeControl(removePanoramica);

    indice = 0;
    for(contador=id;contador>=1;contador--){
        addPanoramicaInstrument[indice]= [contador,'.blue','blue-light'];
        indice++;
    }
    addPanoramica[Slug] = addPanoramicaInstrument;
    addControl(addPanoramica);

    instrControlPanL[Slug] = 1;
    instrControlPanR[Slug] = 1;
    if(id != 3){
        instrControlPanL[Slug] = (id/5);
        instrControlPanR[Slug] = (1.2 - (id/5));
    }

    csound.setControlChannel('gk_'+Slug+'PanoramicaLeft', instrControlPanL[Slug]);
    csound.setControlChannel('gk_'+Slug+'PanoramicaRight', instrControlPanR[Slug]);
}
/** Reverberación **/
/* - Variables */
var addReverberacion = new Array();
var removeReverberacion = new Array();
/* - Función */
function reverberacion(id){
    var addReverberacionInstrument = new Array();
    var removeReverberacionInstrument = new Array();
    Slug = document.getElementById("replay").classList;

    var indice = 0;
    for(contador=id+1;contador<=5;contador++){
        removeReverberacionInstrument[indice]= [contador,'.green-lighter','green-lighter-light'];
        indice++;
    }
    removeReverberacion[Slug] = removeReverberacionInstrument;
    removeControl(removeReverberacion);

    indice = 0;
    for(contador=id;contador>=1;contador--){
        addReverberacionInstrument[indice]= [contador,'.green-lighter','green-lighter-light'];
        indice++;
    }
    addReverberacion[Slug] = addReverberacionInstrument;
    addControl(addReverberacion);

    instrControlRever[Slug] = id/5;
    csound.setControlChannel('gk_'+Slug+'ReverDelay', instrControlRever[Slug]);
}

// Filtrados
/** Filtros **/
/* - Variables */
var addFilters = new Array();
/* - Función */
function filtros(filter){
    Slug = document.getElementById("replay").classList;

    if(!addFilters[Slug])
        addFilters[Slug] = new Array;

    if(!instrControlFilter[Slug+'-'+filter]){
        addFilters[Slug][filter] = filter;
        addFiltersBySlug(addFilters);
        instrControlFilter[Slug+'-'+filter] = 1;
        csound.setControlChannel('gk_'+Slug+'Filter'+filter, 1);
        return;
    }
    addFilters[Slug][filter] = false;
    addFiltersBySlug(addFilters);
    csound.setControlChannel('gk_'+Slug+'Filter'+filter, -1);
    instrControlFilter[Slug+'-'+filter] = 0;
}
// Añadir el estilo a un filtro
function addFiltersBySlug(slugFilters){
    Slug = document.getElementById("replay").classList;

    for (var propiedad in slugFilters[Slug]) {
        if (slugFilters[Slug].hasOwnProperty(propiedad)) {
            if(slugFilters[Slug][propiedad]!=false){
                document.getElementById(propiedad).classList.add('orange-light');
            }else{
                document.getElementById(propiedad).classList.remove('orange-light');
            }
        }
    }
}
// Funciones para Añadir o Eliminar
/** Añadir **/
function addControl(controlIntrumentArray){
    Slug = document.getElementById("replay").classList;
    var controls = new Array();
    controls = controlIntrumentArray[Slug];
    if(controls){
        for(var item = 0 ; item < controls.length ; item++){
            father = document.getElementById(controls[item][0]);
            father.querySelector(controls[item][1]).classList.add(controls[item][2]);
        }
    }
}
/** Eliminar **/
function removeControl(controlIntrumentArray){
    Slug = document.getElementById("replay").classList;
    var controls = new Array();
    controls = controlIntrumentArray[Slug];
    if(controls){
        for(var item = 0 ; item < controls.length ; item++) {
            father = document.getElementById(controls[item][0]);
            father.querySelector(controls[item][1]).classList.remove(controls[item][2]);
        }
    }
}
/** Eliminar todo **/
function removeAllControls(){
    for(var id = 1 ; id <= 5 ; id++) {
        father = document.getElementById(id);
        var volumen = father.querySelector('.cian-light');
        var panoramica = father.querySelector('.blue-light');
        var reverberacion = father.querySelector('.green-lighter-light');
        var filtros = father.querySelector('.orange-light');
        if(volumen){
            volumen.classList.remove('cian-light');
        }
        if(panoramica){
            panoramica.classList.remove('blue-light');
        }
        if(reverberacion){
            reverberacion.classList.remove('green-lighter-light');
        }
        if(filtros){
            filtros.classList.remove('orange-light');
        }
    }
}

// Funciones principales
function insPlay(){
    Slug = document.getElementById("replay").classList;
    /* Inicialización */
    if(!instrControlVol[Slug]){
        instrControlVol[Slug] = 0.2;
    }
    csound.setControlChannel('gk_'+Slug+'MasterLevel', instrControlVol[Slug]);
    if(!instrControl[Slug]){
        instrControl[Slug] = true;
    }else{
        return;
    }
    for(var count=0;count<120; count=count+0.5){
        note = 'i "'+Slug+'" '+count+' 0.5';
        csound.readScore(note);
    }
}
function insPause(){
    Slug = document.getElementById("replay").classList;
    if(instrControl[Slug]){
        csound.setControlChannel('gk_'+Slug+'MasterLevel', 0.00001);
    }
}
function insStop(){
    Slug = document.getElementById("replay").classList;
    if(instrControl[Slug]){
        csound.setControlChannel('gk_'+Slug+'MasterLevel', 0.00001);
    }
}
// Funciones generales
/* - Función */
function commonPlay() {
    for (var slug in instrControl) {
        if (instrControl.hasOwnProperty(slug)) {
            csound.setControlChannel('gk_'+slug+'MasterLevel', instrControlVol[slug]);
        }
    }
}
/* - Función */
function commonPause() {
    for (var slug in instrControl) {
        if (instrControl.hasOwnProperty(slug)) {
            csound.setControlChannel('gk_'+slug+'MasterLevel', 0.00001);
        }
    }
}
/* - Función */
function commonStop() {
    for (var slug in instrControl) {
        if (instrControl.hasOwnProperty(slug)) {
            csound.setControlChannel('gk_'+slug+'MasterLevel', 0.00001);
        }
    }
}
// Volver
/* - Función */
function insreturn(){
    Slug = document.getElementById("replay").classList;
    removeAllControls();
    document.getElementById("first-part").style.display = 'block';
    document.querySelector(".instrument-"+Slug).style.display = 'none';
    document.querySelector(".instrument").classList.remove("instrument-"+Slug);
    document.getElementById("replay").classList.remove(Slug);
}